Package org.zkoss.web.servlet.dsp.action.html

## Class Box

- java.lang.Object
- - org.zkoss.web.servlet.dsp.action.AbstractAction
  - - org.zkoss.web.servlet.dsp.action.html.Box

- All Implemented Interfaces:
    `Action`

      public class Box
      extends AbstractAction

  Generates a box that has a caption and a border enclosing other tags.
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Box()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAlign()` | Returns the horizontal alignment.
    `java.lang.String` | `getCaption()` | Returns the caption.
    `java.lang.String` | `getColor()` | Returns the color.
    `java.lang.String` | `getSpacing()` | Returns the spacing.
    `java.lang.String` | `getWidth()` | Returns the width.
    `boolean` | `isShadow()` | Returns whether this box has the shadow effect.
    `void` | `render​(ActionContext ac, boolean nested)` | Processes the action and renders the output to `ActionContext.getOut()`.
    `void` | `setAlign​(java.lang.String align)` | Sets the horizontal alignment.
    `void` | `setCaption​(java.lang.String caption)` | Sets the caption.
    `void` | `setColor​(java.lang.String color)` | Sets the color.
    `void` | `setShadow​(boolean shadow)` | Sets whether this box has the shadow effect.
    `void` | `setSpacing​(java.lang.String spacing)` | Sets the spacing.
    `void` | `setWidth​(java.lang.String width)` | Sets the width.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.zkoss.web.servlet.dsp.action.AbstractAction

      `append, append, append, getIf, getUnless, isEffective, setIf, setUnless, toScope`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Box

          public Box()

  - ### Method Detail

    - #### getAlign

          public java.lang.String getAlign()

      Returns the horizontal alignment. Default: null.

    - #### setAlign

          public void setAlign​(java.lang.String align)

      Sets the horizontal alignment.

    - #### getColor

          public java.lang.String getColor()

      Returns the color. Default: black.

    - #### setColor

          public void setColor​(java.lang.String color)

      Sets the color.

      You might use any string that HTML supports.

    - #### isShadow

          public boolean isShadow()

      Returns whether this box has the shadow effect. Default: false.

    - #### setShadow

          public void setShadow​(boolean shadow)

      Sets whether this box has the shadow effect.

    - #### getSpacing

          public java.lang.String getSpacing()

      Returns the spacing. Default: 3.

    - #### setSpacing

          public void setSpacing​(java.lang.String spacing)

      Sets the spacing.

    - #### getWidth

          public java.lang.String getWidth()

      Returns the width. Default: 100%.

    - #### setWidth

          public void setWidth​(java.lang.String width)

      Sets the width.

    - #### getCaption

          public java.lang.String getCaption()

      Returns the caption. Default: null (no caption at all).

    - #### setCaption

          public void setCaption​(java.lang.String caption)

      Sets the caption.

    - #### render

          public void render​(ActionContext ac,
                             boolean nested)
                      throws DspException,
                             java.io.IOException

      Description copied from interface: `Action`
      Processes the action and renders the output to `ActionContext.getOut()`.
        `nested` - whether there is any nested content.
      Throws:
        `DspException`
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`